#define DISABLE_LOCAL_CALLTRACE		1		// Set to 1 to disable Call Traces for this file.
#define DISABLE_LOCAL_DEBUG			0		// Set to 1 to disable all debugging for this file.
#include "DebugUtils.h"

#include <Traps.h>
#include "ContextUtils.h"
#include "PatchHarness.h"
#include "ProcInfo.h"





#ifdef __cplusplus
extern "C" {
#endif

pascal OSStatus main(PatchDesc **patchList);
pascal void Install(struct PatchDesc *desc,UniversalProcPtr patch);
pascal void Remove(struct PatchDesc *desc);

#ifdef __cplusplus
}
#endif





#if GENERATINGPOWERPC
	ProcInfoType				__procinfo = uppPatchInitProcInfo;
	RoutineDescriptor			gPatchInstallRD = BUILD_ROUTINE_DESCRIPTOR(uppPatchInstallProcInfo,Install);
	RoutineDescriptor			*gPatchInstallUPP = (RoutineDescriptor*)&gPatchInstallRD;
	RoutineDescriptor			gPatchRemoveRD = BUILD_ROUTINE_DESCRIPTOR(uppPatchRemoveProcInfo,Remove);
	RoutineDescriptor			*gPatchRemoveUPP = (RoutineDescriptor*)&gPatchRemoveRD;
#else
	PatchInstallUPP				gPatchInstallUPP = Install;
	PatchRemoveUPP				gPatchRemoveUPP = Remove;
#endif





pascal OSStatus main(PatchDesc **patchList)
{
	GlobalContext	globals;
	PatchDesc		*head = *patchList;
	OSStatus		err;
	
		
	// Set patch list.
	*patchList = head;
	return noErr;
}





pascal void Install(struct PatchDesc *desc,UniversalProcPtr patch)
{
	GlobalContext	globals;
	
	
	switch(desc->type)
	{
		default:
			dprintf(kDConPrefix "Install: patch '%.4s' not found\n",&desc->type);
			break;
	}
}





pascal void Remove(struct PatchDesc *desc)
{
	GlobalContext	globals;
	
	
	switch(desc->type)
	{
		default:
			dprintf(kDConPrefix "Remove: patch '%.4s' not found\n",&desc->type);
			break;
	}
}
